PIX-ORLE(1)

NAME
pix-orle - convert a pix format RGB file into old run-length encoded form

SYNOPSIS
pix-orle [-hdv] [-s squarefilesize] [-w file_width] [-n file_height] [file.pix] [file.rle]

DESCRIPTION
pix-orle saves a pix(5) format image in a Run-Length Encoded (RLE) form, using the old University of Utah standard (Edition-2) format. This program is provided for compatability with the old RLE image tools, and generally should not be used for saving new images, except where compatability with the old tools is a factor. The equivalent new tool is pix-rle(1).

If file.pix is not specified, the pix(5) file is read from standard in. If file.rle is not specified, the encoded file is written to standard out. pix-orle attempts to compress flat-colored areas as much as possible. This means that it is generally reasonable to save an entire image, since in RLE format it will not take up much more file space than extracting and saving only the interesting portion of the image.

-w file_width
    Specify the width (in pixels) of the scanlines in the input file. The default is 512.

-n file_height
    Specify the number of scanlines of input to be encoded. The default is 512.

-s squarefilesize
    Specify both the number of pixels per scanline and the number of scanlines in the file to process.

-h  ``hires'' flag. Set both the height and width of the input to 1024. The default is 512x512.

-v  Verbose mode. The program will provide voluminous status information on standard error as it proceeds through encoding the image.

-d  Debug mode.

EXAMPLE
    pix-orle <plane.pix plane.rle
    pix-orle -h car.pix car.rle
    pixfilter -f lo <truck.pix | pix-orle > truck-filt.rle

AUTHOR
Michael John Muuss

SEE ALSO
brlcad(1), rle-pix(1), pix-fb(1), pix-rle(1), fb-pix(1), librle(3), liborle(3).

SOURCE
SECAD/VLD Computing Consortium, Bldg 394
The U. S. Army Ballistic Research Laboratory
Aberdeen Proving Ground, Maryland 21005

BUG REPORTS
Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.